Boost.Locale: Codepage

# Boost C++ Libraries

...one of the most highly regarded and expertly designed C++ library projects in the world. — Herb Sutter and Andrei Alexandrescu, C++ Coding Standards

Classes | Enumerations | Functions

# Codepage

## Classes
class | boost::locale::conv::conversion_error
| The excepton that is thrown in case of conversion error. More...
class | boost::locale::conv::invalid_charset_error
| This exception is thrown in case of use of unsupported or invalid character set. More...
## Enumerations
enum | boost::locale::conv::method_type { boost::locale::conv::skip = 0, boost::locale::conv::stop = 1, boost::locale::conv::default_method = skip }
## Functions
template<typename CharOut , typename CharIn >
std::basic_string< CharOut > | boost::locale::conv::utf_to_utf (CharIn const *begin, CharIn const *end, method_type how=default_method)
template<typename CharOut , typename CharIn >
std::basic_string< CharOut > | boost::locale::conv::utf_to_utf (CharIn const *str, method_type how=default_method)
template<typename CharOut , typename CharIn >
std::basic_string< CharOut > | boost::locale::conv::utf_to_utf (std::basic_string< CharIn > const &str, method_type how=default_method)

## Enumeration Type Documentation

enum boost::locale::conv::method_type

enum that defines conversion policy

Enumerator:

  skip | Skip illegal/unconvertable characters.
  stop | Stop conversion and throw conversion_error.
  default_method | Default method - skip.

## Function Documentation

template<typename CharOut , typename CharIn >

std::basic_string<CharOut> boost::locale::conv::utf_to_utf | ( | CharIn const * | begin,
|  | CharIn const * | end,
|  | method_type | how = `default_method` |
| ) |  |  |

Convert a Unicode text in range [begin,end) to other Unicode encoding

template<typename CharOut , typename CharIn >

std::basic_string<CharOut> boost::locale::conv::utf_to_utf | ( | std::basic_string< CharIn > const & | str,
|  | method_type | how = `default_method` |
| ) |  |  |

Convert a Unicode string str other Unicode encoding

template<typename CharOut , typename CharIn >

std::basic_string<CharOut> boost::locale::conv::utf_to_utf | ( | CharIn const * | str,
|  | method_type | how = `default_method` |
| ) |  |  |

Convert a Unicode NUL terminated string str other Unicode encoding